## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > HWNDToWindow

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_HWNDToWindow — Find Tk's window information for a Windows window

### SYNOPSIS

#include <tkPlatDecls.h>
Tk_Window
Tk_HWNDToWindow(hwnd)

### ARGUMENTS

HWND hwnd (in)
  Windows handle for the window.

### DESCRIPTION

Given a Windows HWND window identifier, this procedure returns the corresponding Tk_Window handle. If there is no Tk_Window corresponding to hwnd then NULL is returned.

### KEYWORDS

Windows window id
Copyright © 1998-2000 by Scriptics Corporation.